
// Genode includes
#include <base/ram_allocator.h>


namespace Tee
{
	using namespace Genode;

	class Communication_buffer;
}


class Tee::Communication_buffer final
{
	private:

		Ram_allocator            &_ram_alloc;
		Ram_dataspace_capability  _ram_ds;

	public:

		Communication_buffer(Ram_allocator &ram_alloc, const size_t size) :
			_ram_alloc { ram_alloc },
			_ram_ds    { ram_alloc.alloc(size) }
		{ }

		~Communication_buffer() { _ram_alloc.free(_ram_ds); }

		Dataspace_capability ds() const { return _ram_ds; }
};
